# WOK
TKWOK
WOKTools

# WOKTools_HSequenceOfReturnValue Class Reference

`#include <WOKTools_HSequenceOfReturnValue.hxx>`

## Public Member Functions

| WOKTools_HSequenceOfReturnValue ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(WOKTools_ReturnValue)&anItem)
Standard_EXPORT void | Append (const Handle(WOKTools_HSequenceOfReturnValue)&aSequence)
Standard_EXPORT void | Prepend (const Handle(WOKTools_ReturnValue)&anItem)
Standard_EXPORT void | Prepend (const Handle(WOKTools_HSequenceOfReturnValue)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(WOKTools_ReturnValue)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(WOKTools_HSequenceOfReturnValue)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(WOKTools_ReturnValue)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(WOKTools_HSequenceOfReturnValue)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_WOKTools_HSequenceOfReturnValue | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(WOKTools_ReturnValue)&anItem)
Standard_EXPORT const Handle_WOKTools_ReturnValue & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_WOKTools_ReturnValue & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const WOKTools_SequenceOfReturnValue & | Sequence () const
WOKTools_SequenceOfReturnValue & | ChangeSequence ()
Standard_EXPORT Handle_WOKTools_HSequenceOfReturnValue | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

WOKTools_SequenceOfReturnValue | mySequence

## Constructor & Destructor Documentation

WOKTools_HSequenceOfReturnValue::WOKTools_HSequenceOfReturnValue | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void WOKTools_HSequenceOfReturnValue::Append | ( | const Handle(WOKTools_HSequenceOfReturnValue)& | aSequence | ) |

Standard_EXPORT void WOKTools_HSequenceOfReturnValue::Append | ( | const Handle(WOKTools_ReturnValue)& | anItem | ) |

WOKTools_SequenceOfReturnValue& WOKTools_HSequenceOfReturnValue::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_WOKTools_ReturnValue& WOKTools_HSequenceOfReturnValue::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void WOKTools_HSequenceOfReturnValue::Clear | ( |  | ) |

Standard_EXPORT void WOKTools_HSequenceOfReturnValue::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const WOKTools_HSequenceOfReturnValue::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void WOKTools_HSequenceOfReturnValue::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKTools_HSequenceOfReturnValue)& | aSequence
| ) |

Standard_EXPORT void WOKTools_HSequenceOfReturnValue::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKTools_ReturnValue)& | anItem
| ) |

Standard_EXPORT void WOKTools_HSequenceOfReturnValue::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKTools_HSequenceOfReturnValue)& | aSequence
| ) |

Standard_EXPORT void WOKTools_HSequenceOfReturnValue::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKTools_ReturnValue)& | anItem
| ) |

Standard_Boolean WOKTools_HSequenceOfReturnValue::IsEmpty | ( |  | ) | const

Standard_Integer WOKTools_HSequenceOfReturnValue::Length | ( |  | ) | const

Standard_EXPORT void WOKTools_HSequenceOfReturnValue::Prepend | ( | const Handle(WOKTools_HSequenceOfReturnValue)& | aSequence | ) |

Standard_EXPORT void WOKTools_HSequenceOfReturnValue::Prepend | ( | const Handle(WOKTools_ReturnValue)& | anItem | ) |

Standard_EXPORT void WOKTools_HSequenceOfReturnValue::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void WOKTools_HSequenceOfReturnValue::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void WOKTools_HSequenceOfReturnValue::Reverse | ( |  | ) |

const WOKTools_SequenceOfReturnValue& WOKTools_HSequenceOfReturnValue::Sequence | ( |  | ) | const

Standard_EXPORT void WOKTools_HSequenceOfReturnValue::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(WOKTools_ReturnValue)& | anItem
| ) |

Standard_EXPORT Handle_WOKTools_HSequenceOfReturnValue WOKTools_HSequenceOfReturnValue::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_WOKTools_HSequenceOfReturnValue WOKTools_HSequenceOfReturnValue::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_WOKTools_ReturnValue& WOKTools_HSequenceOfReturnValue::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

WOKTools_SequenceOfReturnValue WOKTools_HSequenceOfReturnValue::mySequence `[private]`

The documentation for this class was generated from the following file:

- WOKTools_HSequenceOfReturnValue.hxx